Bug 729916 - Cannot prelink libraries
Summary: Cannot prelink libraries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-11 09:32 UTC by Mark Wielaard
Modified: 2012-04-25 04:58 UTC (History)
1 user (show)

Fixed In Version: selinux-policy-3.10.0-118.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-25 04:58:25 UTC


Attachments (Terms of Use)

Description Mark Wielaard 2011-08-11 09:32:23 UTC
Description of problem:

prelinking a library installed in my home directory doesn't work.

Version-Release number of selected component (if applicable):

selinux-policy-targeted-3.10.0-16.fc17.noarch

How reproducible:

Always.

Steps to Reproduce:

I have a testsuite which runs some tests on generated libraries, one of the tests prelinks the library.

Executing: /usr/sbin/prelink -vfNR -r 0x6400000 ./libuprobeslibgcc-O3default-pre
link-debug.so
prelink failed: /usr/sbin/prelink: Could not set security context for ./libuprob
eslibgcc-O3default-prelink-debug.so: Permission denied
FAIL: uprobeslibgcc-O3default-prelink-debug prelink ./libuprobeslibgcc-O3default-prelink-debug.so
  
Actual results (in /var/log/messages):

Aug 10 23:49:15 rawhide kernel: [ 6349.447453] type=1400 audit(1313012955.298:17): avc:  denied  { relabelfrom } for  pid=32608 comm="prelink" name="libuprobeslibgcc-O3default-prelink-debug.so.#prelink#.VuIHOd" dev=dm-1 ino=262883 scontext=unconfined_u:unconfined_r:prelink_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

Expected results:

prelinked library

Additional info:

This works fine under f14 and f15.

Comment 1 Daniel Walsh 2011-08-11 15:54:13 UTC
Fixed in selinux-policy-3.10.0-19.fc16

Comment 2 Daniel Walsh 2011-08-11 15:55:49 UTC
F14 and F15 did not confine prelink...  We probably should turn that back on for F16.

Comment 3 Fedora Update System 2012-04-24 01:02:47 UTC
selinux-policy-3.10.0-118.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-118.fc17

Comment 4 Fedora Update System 2012-04-24 03:14:27 UTC
Package selinux-policy-3.10.0-118.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-118.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6452/selinux-policy-3.10.0-118.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-04-25 04:58:25 UTC
selinux-policy-3.10.0-118.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.